Subject: Ticket Assigned - Hi.. my order wasnt processed hut its deducted from my account.
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 06 Mar 2023 09:20:49 +0000 (UTC)

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hi.. my order wasnt processed hut its deducted from my account.  Contacted

Hi, i got a messages that my prder was not processed and that i have an option to go cash on delivery. I clicked on the link but i cant pay again my order. 

Im not home right now i can be home around 5:30pm today. And how can i make it cash upon delivery?

I would not like to reorder because the promo  buy300, 100off is done and i want to get the item same price. I got a message it was deducted from my account so i assume the payment was successful.

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5741843